package devmgr.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import devmgr.api.symbol.FlashCache;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.Set;

@ApiModel
@XmlRootElement
public class FlashCacheEx extends FlashCache {
    public String getName(){
        return getFlashCacheBase().getLabel();
    }
    @ApiModelProperty("A list of references of volumes and thin volumes that are associated with this FlashCache")
    public Set<String> getCachedVolumes() {
        return cachedVolumes;
    }

    public void setCachedVolumes(Set<String> cachedVolumes) {
        this.cachedVolumes = cachedVolumes;
    }

    private Set<String> cachedVolumes;

    public Set<String> getDriveRefs() {
        return driveRefs;
    }

    public void setDriveRefs(Set<String> driveRefs) {
        this.driveRefs = driveRefs;
    }

    @ApiModelProperty("The list of drives associated with this FlashCache")
    private Set<String> driveRefs;
}
