package devmgr.api.rpc.protocol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(21)
public class RPCMsgBody implements Serializable {
	public RPCMsgBody() {
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = true)
	@XmlElement(required = true)
	private RPCMsgType msgType = RPCMsgType.__UNDEFINED;

	public RPCMsgType getMsgType() {
		return this.msgType;
	}
	public void setMsgType(RPCMsgType x) {
		this.msgType = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private RPCCallMsg callMsg;

	public RPCCallMsg getCallMsg() {
		return this.callMsg;
	}
	public void setCallMsg(RPCCallMsg x) {
		this.callMsg = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private RPCReplyMsg replyMsg;

	public RPCReplyMsg getReplyMsg() {
		return this.replyMsg;
	}
	public void setReplyMsg(RPCReplyMsg x) {
		this.replyMsg = x;
	}
}
