package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This identifies which data sets are to be returned. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(36)
public enum CounterGroupDataLocation implements Serializable {
		/** The counter data type is unknown. */
		unknown(0),
		/** Return saved counter data. */
		saved(1),
		/** Return active counter data. */
		active(2),
		/** Return saved and active counter data. */
		all(3),
		__UNDEFINED(464378545);

		public final int value;

		private CounterGroupDataLocation(int v) {
			this.value = v;
		}
}
