package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used when requesting volume candidates for a Disk Pool. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(442)
public class DiskPoolVolumeCandidateRequestData implements Serializable {
	public DiskPoolVolumeCandidateRequestData() {
	}

	/** The number of drives reserved for reconstruction of failed drives. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of drives reserved for reconstruction of failed drives." , required = true)
	@XmlElement(required = true)
	private int reconstructionReservedDriveCount;

	/** @return The number of drives reserved for reconstruction of failed drives. */
	public int getReconstructionReservedDriveCount() {
		return this.reconstructionReservedDriveCount;
	}
	/** @param x The number of drives reserved for reconstruction of failed drives. */
	public void setReconstructionReservedDriveCount(int x) {
		this.reconstructionReservedDriveCount = x;
	}
}
