package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input argument to the createAHostPort procedure, which replaces the deprecated createHostPort procedure. This structure is analogous to the deprecated HostPortCreationDescriptor. It contains contains a group of attribute settings for the new host port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1036)
public class HostPortCreateDescriptor implements Serializable {
	public HostPortCreateDescriptor() {
	}

	/** An object containing the initial settings for the new host port. */
	@io.swagger.annotations.ApiModelProperty(value ="An object containing the initial settings for the new host port." , required = true)
	@XmlElement(required = true)
	private HostPortMutableProperties settings;

	/** @return An object containing the initial settings for the new host port. */
	public HostPortMutableProperties getSettings() {
		return this.settings;
	}
	/** @param x An object containing the initial settings for the new host port. */
	public void setSettings(HostPortMutableProperties x) {
		this.settings = x;
	}
}
