package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** The following fields are defined for this structure: */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(494)
public class InitiatorLocation implements Serializable {
	public InitiatorLocation() {
	}

	/** The iSCSI node name of the initiator, left-truncated if necessary. (Left-truncation preserves the part of the name most likely to vary.) */
	@io.swagger.annotations.ApiModelProperty(value ="The iSCSI node name of the initiator, left-truncated if necessary. (Left-truncation preserves the part of the name most likely to vary.)" , required = true)
	@XmlElement(required = true)
	private String initiatorName;

	/** @return The iSCSI node name of the initiator, left-truncated if necessary. (Left-truncation preserves the part of the name most likely to vary.) */
	public String getInitiatorName() {
		return this.initiatorName;
	}
	/** @param x The iSCSI node name of the initiator, left-truncated if necessary. (Left-truncation preserves the part of the name most likely to vary.) */
	public void setInitiatorName(String x) {
		this.initiatorName = x;
	}
}
