package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes an interposer. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(793)
public class Interposer implements Serializable {
	public Interposer() {
	}

	/** The drive interposer identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive interposer identifier." , required = true)
	@XmlElement(required = true)
	private String interposerRef;

	/** @return The drive interposer identifier. */
	public String getInterposerRef() {
		return this.interposerRef;
	}
	/** @param x The drive interposer identifier. */
	public void setInterposerRef(String x) {
		this.interposerRef = x;
	}

	/** The vendor product data associated with the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor product data associated with the interposer." , required = true)
	@XmlElement(required = true)
	private InterposerTypeData interposerTypeData;

	/** @return The vendor product data associated with the interposer. */
	public InterposerTypeData getInterposerTypeData() {
		return this.interposerTypeData;
	}
	/** @param x The vendor product data associated with the interposer. */
	public void setInterposerTypeData(InterposerTypeData x) {
		this.interposerTypeData = x;
	}
}
