package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is used to return progress information from the getLongLivedOpsProgress procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1143)
public class LongLivedOpsProgressReturn implements Serializable {
	public LongLivedOpsProgressReturn() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is present only if returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private LongLivedOperation[] longLivedOpsProgress;

	/** @return This field is present only if returnCode is equal to RETCODE_OK. */
	public LongLivedOperation[] getLongLivedOpsProgress() {
		return this.longLivedOpsProgress;
	}
	/** @param x This field is present only if returnCode is equal to RETCODE_OK. */
	public void setLongLivedOpsProgress(LongLivedOperation[] x) {
		this.longLivedOpsProgress = x;
	}
}
