package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure represents a list of MEL entry objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1070)
public class MelEntryList implements Serializable {
	public MelEntryList() {
	}

	/** A variable-length array of MelEntry objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of MelEntry objects." , required = true)
	@XmlElement(required = true)
	private MelEntry[] events;

	/** @return A variable-length array of MelEntry objects. */
	public MelEntry[] getEvents() {
		return this.events;
	}
	/** @param x A variable-length array of MelEntry objects. */
	public void setEvents(MelEntry[] x) {
		this.events = x;
	}
}
