package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different network interface types that may be reported as part of the interface information associated with a controller. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(271)
public enum NetInterfaceType implements Serializable {
		/** The interface type is Ethernet. */
		ethernet(1),
		__UNDEFINED(464378545);

		public final int value;

		private NetInterfaceType(int v) {
			this.value = v;
		}
}
