package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a variable-length array of PITViewRepositoryUtilization objects. It is used to convey information about multiple such objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1084)
public class PITViewRepositoryUtilizationList implements Serializable {
	public PITViewRepositoryUtilizationList() {
	}

	/** A variable-length array of PITViewRepositoryUtilization objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of PITViewRepositoryUtilization objects." , required = true)
	@XmlElement(required = true)
	private PITViewRepositoryUtilization[] repositoryUtilization;

	/** @return A variable-length array of PITViewRepositoryUtilization objects. */
	public PITViewRepositoryUtilization[] getRepositoryUtilization() {
		return this.repositoryUtilization;
	}
	/** @param x A variable-length array of PITViewRepositoryUtilization objects. */
	public void setRepositoryUtilization(PITViewRepositoryUtilization[] x) {
		this.repositoryUtilization = x;
	}
}
