package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input to the setSNMPTrapDestinationParams procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(704)
public class SNMPTrapDestinationParamsUpdateDescriptor implements Serializable {
	public SNMPTrapDestinationParamsUpdateDescriptor() {
	}

	/** TrapDestination to change */
	@io.swagger.annotations.ApiModelProperty(value ="TrapDestination to change" , required = true)
	@XmlElement(required = true)
	private String trapDestinationRef;

	/** @return TrapDestination to change */
	public String getTrapDestinationRef() {
		return this.trapDestinationRef;
	}
	/** @param x TrapDestination to change */
	public void setTrapDestinationRef(String x) {
		this.trapDestinationRef = x;
	}

	/** Community associated with the trap destination */
	@io.swagger.annotations.ApiModelProperty(value ="Community associated with the trap destination" , required = true)
	@XmlElement(required = true)
	private String communityRef;

	/** @return Community associated with the trap destination */
	public String getCommunityRef() {
		return this.communityRef;
	}
	/** @param x Community associated with the trap destination */
	public void setCommunityRef(String x) {
		this.communityRef = x;
	}

	/** Send authentication failure traps to this destination. */
	@io.swagger.annotations.ApiModelProperty(value ="Send authentication failure traps to this destination." , required = true)
	@XmlElement(required = true)
	private boolean sendAuthenticationFailureTraps;

	/** @return Send authentication failure traps to this destination. */
	public boolean isSendAuthenticationFailureTraps() {
		return this.sendAuthenticationFailureTraps;
	}
	/** @param x Send authentication failure traps to this destination. */
	public void setSendAuthenticationFailureTraps(boolean x) {
		this.sendAuthenticationFailureTraps = x;
	}
}
