package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of schedule references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(654)
public class ScheduleRefList implements Serializable {
	public ScheduleRefList() {
	}

	/** A list of schedule references. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of schedule references." , required = true)
	@XmlElement(required = true)
	private String[] scheduleRef;

	/** @return A list of schedule references. */
	public String[] getScheduleRef() {
		return this.scheduleRef;
	}
	/** @param x A list of schedule references. */
	public void setScheduleRef(String[] x) {
		this.scheduleRef = x;
	}
}
