package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the SOC error statistics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1141)
public class SocStatistics implements Serializable {
	public SocStatistics() {
	}

	/** An array in which each element (one per SOC device) contains SOC error statistics information. */
	@io.swagger.annotations.ApiModelProperty(value ="An array in which each element (one per SOC device) contains SOC error statistics information." , required = true)
	@XmlElement(required = true)
	private SocData[] socData;

	/** @return An array in which each element (one per SOC device) contains SOC error statistics information. */
	public SocData[] getSocData() {
		return this.socData;
	}
	/** @param x An array in which each element (one per SOC device) contains SOC error statistics information. */
	public void setSocData(SocData[] x) {
		this.socData = x;
	}
}
