package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration used to determine the status of a statistic. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(268)
public enum StatisticQualifier implements Serializable {
		/** Statistic is unknown. */
		unknown(0),
		/** Statistic is valid. */
		valid(1),
		/** Statistic is invalid due to stuck condition. */
		invalidStuck(2),
		/** Statistic is invalid due to External Reset occurrence. */
		invalidExternReset(3),
		/** Statistic is not supported. */
		notSupported(4),
		__UNDEFINED(464378545);

		public final int value;

		private StatisticQualifier(int v) {
			this.value = v;
		}
}
