package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe time-related information in reporting of statistics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(424)
public class StatisticalTimeData implements Serializable {
	public StatisticalTimeData() {
	}

	/** The most recent baseline time set for the reported statistics. */
	@io.swagger.annotations.ApiModelProperty(value ="The most recent baseline time set for the reported statistics." , required = true)
	@XmlElement(required = true)
	private long startTime;

	/** @return The most recent baseline time set for the reported statistics. */
	public long getStartTime() {
		return this.startTime;
	}
	/** @param x The most recent baseline time set for the reported statistics. */
	public void setStartTime(long x) {
		this.startTime = x;
	}

	/** The time of reporting the statistics. */
	@io.swagger.annotations.ApiModelProperty(value ="The time of reporting the statistics." , required = true)
	@XmlElement(required = true)
	private long currentTime;

	/** @return The time of reporting the statistics. */
	public long getCurrentTime() {
		return this.currentTime;
	}
	/** @param x The time of reporting the statistics. */
	public void setCurrentTime(long x) {
		this.currentTime = x;
	}
}
