package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of SYMbol ThinVolume references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(955)
public class ThinVolumeRefList implements Serializable {
	public ThinVolumeRefList() {
	}

	/** A reference to the thin volume. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the thin volume." , required = true)
	@XmlElement(required = true)
	private String[] thinRef;

	/** @return A reference to the thin volume. */
	public String[] getThinRef() {
		return this.thinRef;
	}
	/** @param x A reference to the thin volume. */
	public void setThinRef(String[] x) {
		this.thinRef = x;
	}
}
