package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different types of tray attributes. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(42)
public enum TrayAttributeId implements Serializable {
		/** This value identifies an "asset tag" attribute. */
		assetTag(1),
		/** This value identifies a "chassis name" attribute. */
		chassisName(2),
		/** This value identifies a "service tag" attribute. */
		serviceTag(3),
		/** This value identifies a "spin up delay" attribute. */
		spinUpDelay(4),
		/** This value identifies a "spin up count" attribute. */
		spinUpCount(5),
		__UNDEFINED(464378545);

		public final int value;

		private TrayAttributeId(int v) {
			this.value = v;
		}
}
