package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure provides information about a mirror group fault condition. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(697)
public class AsyncMirrorGroupFaultIndication implements Serializable {
	public AsyncMirrorGroupFaultIndication() {
	}

	/** The mirror group with the fault. */
	@io.swagger.annotations.ApiModelProperty(value ="The mirror group with the fault." , required = true)
	@XmlElement(required = true)
	private String mirrorGroup;

	/** @return The mirror group with the fault. */
	public String getMirrorGroup() {
		return this.mirrorGroup;
	}
	/** @param x The mirror group with the fault. */
	public void setMirrorGroup(String x) {
		this.mirrorGroup = x;
	}

	/** The last time at which the fault occurred represented in seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The last time at which the fault occurred represented in seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long faultTime;

	/** @return The last time at which the fault occurred represented in seconds since midnight GMT on January 1, 1970. */
	public long getFaultTime() {
		return this.faultTime;
	}
	/** @param x The last time at which the fault occurred represented in seconds since midnight GMT on January 1, 1970. */
	public void setFaultTime(long x) {
		this.faultTime = x;
	}
}
