package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration expresses the different types of the cache backup devices. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(188)
public enum CacheBackupDeviceType implements Serializable {
		/** The type of the device is unknown. */
		unknown(0),
		/** The device is a USB flash drive. */
		usbFlash(1),
		/** The device is an SD flash drive. */
		sdFlash(2),
		/** The device is a SATA flash drive. */
		sataFlash(3),
		__UNDEFINED(464378545);

		public final int value;

		private CacheBackupDeviceType(int v) {
			this.value = v;
		}
}
