package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to convey the status of a concatenated volume. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(129)
public enum ConcatVolumeStatus implements Serializable {
		/** The concatenated volume status is unknown. This should never happen. */
		unknown(0),
		/** The concatenated volume is working correctly. */
		optimal(1),
		/** The concatenated volume is degraded. */
		degraded(2),
		/** The concatenated volume has failed. */
		failed(3),
		__UNDEFINED(464378545);

		public final int value;

		private ConcatVolumeStatus(int v) {
			this.value = v;
		}
}
