package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to identify volumes that are undergoing a DVE operation and provide information about the DVE operation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1045)
public class DVEVolume implements Serializable {
	public DVEVolume() {
	}

	/** The reference to the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference to the volume." , required = true)
	@XmlElement(required = true)
	private String volume;

	/** @return The reference to the volume. */
	public String getVolume() {
		return this.volume;
	}
	/** @param x The reference to the volume. */
	public void setVolume(String x) {
		this.volume = x;
	}

	/** The amount of capacity increase for the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of capacity increase for the volume." , required = true)
	@XmlElement(required = true)
	private long amountOfIncrease;

	/** @return The amount of capacity increase for the volume. */
	public long getAmountOfIncrease() {
		return this.amountOfIncrease;
	}
	/** @param x The amount of capacity increase for the volume. */
	public void setAmountOfIncrease(long x) {
		this.amountOfIncrease = x;
	}
}
