package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union contains information returned by the getDiskPoolReductionDriveCount procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(329)
public class DiskPoolReductionDriveCountReturn implements Serializable {
	public DiskPoolReductionDriveCountReturn() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The maximum number of drives that can be removed from a disk pool. This field is returned if the value of returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum number of drives that can be removed from a disk pool. This field is returned if the value of returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private int count;

	/** @return The maximum number of drives that can be removed from a disk pool. This field is returned if the value of returnCode is equal to RETCODE_OK. */
	public int getCount() {
		return this.count;
	}
	/** @param x The maximum number of drives that can be removed from a disk pool. This field is returned if the value of returnCode is equal to RETCODE_OK. */
	public void setCount(int x) {
		this.count = x;
	}
}
