package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the createInititor procedure. It specifies the initial settings for the new initiator. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(927)
public class InitiatorCreationDescriptor implements Serializable {
	public InitiatorCreationDescriptor() {
	}

	/** The initial settings for the new initiator. */
	@io.swagger.annotations.ApiModelProperty(value ="The initial settings for the new initiator." , required = true)
	@XmlElement(required = true)
	private InitiatorChangeableProperties settings;

	/** @return The initial settings for the new initiator. */
	public InitiatorChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The initial settings for the new initiator. */
	public void setSettings(InitiatorChangeableProperties x) {
		this.settings = x;
	}
}
