package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of KeyValueTagMappingCreationDescriptor used as input to the createKeyValueTag procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(936)
public class KeyValueTagMappingSetDescriptorList implements Serializable {
	public KeyValueTagMappingSetDescriptorList() {
	}

	/** This field defines the mapping between a specified object and a collection of key values. */
	@io.swagger.annotations.ApiModelProperty(value ="This field defines the mapping between a specified object and a collection of key values." , required = true)
	@XmlElement(required = true)
	private KeyValueTagMappingSetDescriptor[] descriptorList;

	/** @return This field defines the mapping between a specified object and a collection of key values. */
	public KeyValueTagMappingSetDescriptor[] getDescriptorList() {
		return this.descriptorList;
	}
	/** @param x This field defines the mapping between a specified object and a collection of key values. */
	public void setDescriptorList(KeyValueTagMappingSetDescriptor[] x) {
		this.descriptorList = x;
	}
}
