package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of SYMbol key-value tag refences. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(746)
public class KeyValueTagRefList implements Serializable {
	public KeyValueTagRefList() {
	}

	/** An array of references for the key-value tags used for application awareness. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of references for the key-value tags used for application awareness." , required = true)
	@XmlElement(required = true)
	private String[] keyValueTagRef;

	/** @return An array of references for the key-value tags used for application awareness. */
	public String[] getKeyValueTagRef() {
		return this.keyValueTagRef;
	}
	/** @param x An array of references for the key-value tags used for application awareness. */
	public void setKeyValueTagRef(String[] x) {
		this.keyValueTagRef = x;
	}
}
