package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the arguments for a (potentially) multi-record write operation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(625)
public class MgmtClientRecordWriteDescriptor implements Serializable {
	public MgmtClientRecordWriteDescriptor() {
	}

	/** A variable-length array containing up to MAX_XFER_COUNT records. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing up to MAX_XFER_COUNT records." , required = true)
	@XmlElement(required = true)
	private MgmtClientRecord[] records;

	/** @return A variable-length array containing up to MAX_XFER_COUNT records. */
	public MgmtClientRecord[] getRecords() {
		return this.records;
	}
	/** @param x A variable-length array containing up to MAX_XFER_COUNT records. */
	public void setRecords(MgmtClientRecord[] x) {
		this.records = x;
	}
}
