package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to issue a Read Link Status command. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(902)
public class RLSCommandDescriptor implements Serializable {
	public RLSCommandDescriptor() {
	}

	/** This enumeration defines the commands for Read Link Status. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the commands for Read Link Status." , required = true)
	@XmlElement(required = true)
	private RLSCommand command = RLSCommand.__UNDEFINED;

	/** @return This enumeration defines the commands for Read Link Status. */
	public RLSCommand getCommand() {
		return this.command;
	}
	/** @param x This enumeration defines the commands for Read Link Status. */
	public void setCommand(RLSCommand x) {
		this.command = x;
	}

	/** This field is present only if the command value is RLS_GET_CHANNELS. It contains detailed information about the channels. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the command value is RLS_GET_CHANNELS. It contains detailed information about the channels." , required = false)
	@XmlElement(required = false)
	private int[] channels;

	/** @return This field is present only if the command value is RLS_GET_CHANNELS. It contains detailed information about the channels. */
	public int[] getChannels() {
		return this.channels;
	}
	/** @param x This field is present only if the command value is RLS_GET_CHANNELS. It contains detailed information about the channels. */
	public void setChannels(int[] x) {
		this.channels = x;
	}

	/** This field is present only if the command value is RLS_GET_DEVICES. It contains detailed information about the devices. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the command value is RLS_GET_DEVICES. It contains detailed information about the devices." , required = false)
	@XmlElement(required = false)
	private RLSDevices devices;

	/** @return This field is present only if the command value is RLS_GET_DEVICES. It contains detailed information about the devices. */
	public RLSDevices getDevices() {
		return this.devices;
	}
	/** @param x This field is present only if the command value is RLS_GET_DEVICES. It contains detailed information about the devices. */
	public void setDevices(RLSDevices x) {
		this.devices = x;
	}
}
