package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to list the repository utilization. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1129)
public class RepositoryUtilizationList implements Serializable {
	public RepositoryUtilizationList() {
	}

	/** The return code from the getRepositoryUtilization procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="The return code from the getRepositoryUtilization procedure." , required = true)
	@XmlElement(required = true)
	private ReturnCode retCode = ReturnCode.__UNDEFINED;

	/** @return The return code from the getRepositoryUtilization procedure. */
	public ReturnCode getRetCode() {
		return this.retCode;
	}
	/** @param x The return code from the getRepositoryUtilization procedure. */
	public void setRetCode(ReturnCode x) {
		this.retCode = x;
	}

	/** A list of Repository Utilization structures. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of Repository Utilization structures." , required = true)
	@XmlElement(required = true)
	private RepositoryUtilization[] utilization;

	/** @return A list of Repository Utilization structures. */
	public RepositoryUtilization[] getUtilization() {
		return this.utilization;
	}
	/** @param x A list of Repository Utilization structures. */
	public void setUtilization(RepositoryUtilization[] x) {
		this.utilization = x;
	}
}
