package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains test results for all tests on all channels. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(549)
public class RuntimeDiagResults implements Serializable {
	public RuntimeDiagResults() {
	}

	/** General returnCode - RETCODE_OK if diagnostics were initiated. */
	@io.swagger.annotations.ApiModelProperty(value ="General returnCode - RETCODE_OK if diagnostics were initiated." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return General returnCode - RETCODE_OK if diagnostics were initiated. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x General returnCode - RETCODE_OK if diagnostics were initiated. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** Additional returnCode - overall status of diagnostic tests. */
	@io.swagger.annotations.ApiModelProperty(value ="Additional returnCode - overall status of diagnostic tests." , required = true)
	@XmlElement(required = true)
	private ReturnCode statusCode = ReturnCode.__UNDEFINED;

	/** @return Additional returnCode - overall status of diagnostic tests. */
	public ReturnCode getStatusCode() {
		return this.statusCode;
	}
	/** @param x Additional returnCode - overall status of diagnostic tests. */
	public void setStatusCode(ReturnCode x) {
		this.statusCode = x;
	}

	/** An array of the test results. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of the test results." , required = true)
	@XmlElement(required = true)
	private RuntimeDiagTestResults[] testResults;

	/** @return An array of the test results. */
	public RuntimeDiagTestResults[] getTestResults() {
		return this.testResults;
	}
	/** @param x An array of the test results. */
	public void setTestResults(RuntimeDiagTestResults[] x) {
		this.testResults = x;
	}

	/** A variable array of the test results. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable array of the test results." , required = true)
	@XmlElement(required = true)
	private RuntimeDiagTestResults[] extendedTestResults;

	/** @return A variable array of the test results. */
	public RuntimeDiagTestResults[] getExtendedTestResults() {
		return this.extendedTestResults;
	}
	/** @param x A variable array of the test results. */
	public void setExtendedTestResults(RuntimeDiagTestResults[] x) {
		this.extendedTestResults = x;
	}
}
