package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration sets the degree of resolution in the statistics to be returned to the host. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(211)
public enum StatisticsResolutionType implements Serializable {
		/** Low resolution statistics will be returned. */
		low(0),
		/** High resolution statistics will be returned. */
		high(1),
		__UNDEFINED(464378545);

		public final int value;

		private StatisticsResolutionType(int v) {
			this.value = v;
		}
}
