package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to change the controller that owns a volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(680)
public class VolumeOwnershipUpdateDescriptor implements Serializable {
	public VolumeOwnershipUpdateDescriptor() {
	}

	/** The reference value that identifies the volume being changed. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that identifies the volume being changed." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference value that identifies the volume being changed. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference value that identifies the volume being changed. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The new volume group manager. */
	@io.swagger.annotations.ApiModelProperty(value ="The new volume group manager." , required = true)
	@XmlElement(required = true)
	private String manager;

	/** @return The new volume group manager. */
	public String getManager() {
		return this.manager;
	}
	/** @param x The new volume group manager. */
	public void setManager(String x) {
		this.manager = x;
	}
}
