package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of the descriptors to create mappings between specific workloads and volumes. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(994)
public class WorkloadVolumeCreateMappingDescriptorList implements Serializable {
	public WorkloadVolumeCreateMappingDescriptorList() {
	}

	/** The list of workloads and volumes to be associated to each other. */
	@io.swagger.annotations.ApiModelProperty(value ="The list of workloads and volumes to be associated to each other." , required = true)
	@XmlElement(required = true)
	private WorkloadVolumeCreateMappingDescriptor[] createDescriptor;

	/** @return The list of workloads and volumes to be associated to each other. */
	public WorkloadVolumeCreateMappingDescriptor[] getCreateDescriptor() {
		return this.createDescriptor;
	}
	/** @param x The list of workloads and volumes to be associated to each other. */
	public void setCreateDescriptor(WorkloadVolumeCreateMappingDescriptor[] x) {
		this.createDescriptor = x;
	}
}
