package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Contains the lockKeyID with a corresponding encrypted wrappedLockKey string value. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(319)
public class WrappedLockKey implements Serializable {
	public WrappedLockKey() {
	}

	/** Lock Key Identifier, or a Lock Key ID. */
	@io.swagger.annotations.ApiModelProperty(value ="Lock Key Identifier, or a Lock Key ID." , required = true)
	@XmlElement(required = true)
	private String lockKeyID;

	/** @return Lock Key Identifier, or a Lock Key ID. */
	public String getLockKeyID() {
		return this.lockKeyID;
	}
	/** @param x Lock Key Identifier, or a Lock Key ID. */
	public void setLockKeyID(String x) {
		this.lockKeyID = x;
	}

	/** The 40Byte encrypted wrappedLockKey string that originates from a user specified passPhrase. */
	@io.swagger.annotations.ApiModelProperty(value ="The 40Byte encrypted wrappedLockKey string that originates from a user specified passPhrase." , required = true)
	@XmlElement(required = true)
	private String wrappedLockKey;

	/** @return The 40Byte encrypted wrappedLockKey string that originates from a user specified passPhrase. */
	public String getWrappedLockKey() {
		return this.wrappedLockKey;
	}
	/** @param x The 40Byte encrypted wrappedLockKey string that originates from a user specified passPhrase. */
	public void setWrappedLockKey(String x) {
		this.wrappedLockKey = x;
	}
}
